sc::SumAccumH(3)

NAME
sc::SumAccumH -

SYNOPSIS

Inherits sc::AccumH.

  Public Member Functions
SumAccumH (StateIn &)
SumAccumH (const Ref< KeyVal > &)
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void init (const Ref< Wavefunction > &)
void accum (const RefSymmSCMatrix &h)
void done ()
double e ()

  Protected Attributes
int n_
Ref< AccumH > * accums_

  Additional Inherited Members

Member Function Documentation

  void sc::SumAccumH::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. This must be implemented by the derived class if the class has data.

Reimplemented from sc::AccumH.

Author

Generated automatically by Doxygen for MPQC from the source code.